package com.yunfeiyun.agmp.common.core.domain.entity;

import com.yunfeiyun.agmp.common.core.domain.model.IUserRole;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 用户和角色关联 SysUserrole
 * 
 * @author 杨晓辉
 */
public class SysUserRole implements IUserRole
{
    private String userId;

    /** ID */
    private String userRoleId;
    
    /** 角色ID */
    private String roleId;

    public String getUserRoleId()
    {
        return userRoleId;
    }

    public void setUserRoleId(String userRoleId)
    {
        this.userRoleId = userRoleId;
    }


    public String getUserId()
    {
        return userId;
    }

    public void setUserId(String userId)
    {
        this.userId = userId;
    }

    public String getRoleId()
    {
        return roleId;
    }

    public void setRoleId(String roleId)
    {
        this.roleId = roleId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("userId", getUserId())
            .append("roleId", getRoleId())
            .toString();
    }
}
